
{{ "Bridge / VLANs" | comment }}

{% set l2 = tenants.l2domain %}
{% set l3 = tenants.l3domain %}

auto bridge
iface bridge
    bridge-ports \
                 {% if devices[inventory_hostname].interfaces.mlag is defined %}{% set mlag = devices[inventory_hostname].interfaces.mlag %}peerlink {% for interface in mlag %}bond{{ mlag[interface].id }} {%endfor%} {%endif%}\
                 {% if devices[inventory_hostname].interfaces.mh is defined %}{% set mh = devices[inventory_hostname].interfaces.mh %}{% for interface in mh %}bond{{ mh[interface].es }} {%endfor%} {%endif%}\
                 {% for domain in l2 %}{% if l2[domain].site == devices[inventory_hostname].site or l2[domain].site == "multi" %}vni{{ 100000 + l2[domain].id }} {% endif %} {% endfor %} \
                 {% for domain in l3 %}{% if domain in devices[inventory_hostname].vrfs %}vni{{ 400000 + l3[domain].id }} {% endif %}{% endfor %}

    bridge-vids {% for domain in l2 %}{% if l2[domain].site == devices[inventory_hostname].site or l2[domain].site == "multi" %}{{ l2[domain].id }} {% endif %} {% endfor %}

    bridge-vlan-aware yes
